List collections
curl -H "Authorization: Bearer sk_live_..." \
-H "Accept: application/taxii+json;version=2.1" \
"https://socdefenders.ai/api/taxii2/api/collections/"import requests
url = "https://socdefenders.ai/api/taxii2/api/collections/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://socdefenders.ai/api/taxii2/api/collections/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"collections": [
{
"id": "soc-defenders-all",
"title": "All IOCs",
"description": "All indicators regardless of type",
"can_read": true,
"can_write": false,
"media_types": [
"application/stix+json;version=2.1"
]
},
{
"id": "soc-defenders-network",
"title": "Network IOCs",
"description": "IPs, domains, URLs",
"can_read": true,
"can_write": false,
"media_types": [
"application/stix+json;version=2.1"
]
},
{
"id": "soc-defenders-hashes",
"title": "File Hashes",
"description": "MD5/SHA1/SHA256/SHA512",
"can_read": true,
"can_write": false,
"media_types": [
"application/stix+json;version=2.1"
]
}
]
}TAXII
List available TAXII collections
Returns the set of TAXII collections (logical streams of STIX objects). Each collection has a stable UUID consumers reference when fetching objects.
Collections available
| Collection | Contents |
|---|---|
all-iocs | All IOCs regardless of type |
network | IPs, domains, URLs |
hashes | MD5/SHA1/SHA256/SHA512 |
cves | CVE IDs with context |
high-confidence | Only high-confidence IOCs across types |
recent-24h | Anything seen in the last 24 hours |
apt | IOCs tagged with known APT campaigns |
ransomware | IOCs tagged with ransomware families |
GET
/
api
/
taxii2
/
api
/
collections
/
List collections
curl -H "Authorization: Bearer sk_live_..." \
-H "Accept: application/taxii+json;version=2.1" \
"https://socdefenders.ai/api/taxii2/api/collections/"import requests
url = "https://socdefenders.ai/api/taxii2/api/collections/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://socdefenders.ai/api/taxii2/api/collections/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"collections": [
{
"id": "soc-defenders-all",
"title": "All IOCs",
"description": "All indicators regardless of type",
"can_read": true,
"can_write": false,
"media_types": [
"application/stix+json;version=2.1"
]
},
{
"id": "soc-defenders-network",
"title": "Network IOCs",
"description": "IPs, domains, URLs",
"can_read": true,
"can_write": false,
"media_types": [
"application/stix+json;version=2.1"
]
},
{
"id": "soc-defenders-hashes",
"title": "File Hashes",
"description": "MD5/SHA1/SHA256/SHA512",
"can_read": true,
"can_write": false,
"media_types": [
"application/stix+json;version=2.1"
]
}
]
}⌘I